/****************************************************************************
**
** Copyright (C) 1991-2008 Heinz van Saanen
**
** This file is part of the the function viewer Zhu3D.
**
** This file may be used under the terms of the GNU General Public
** License version 2 as published by the Free Software Foundation
** and appearing in the file LICENSE.GPL included in the packaging of
** this file.
**
** This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
** WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
**
****************************************************************************/

#ifndef SYSTEMINFO_H
#define SYSTEMINFO_H

#include <QObject>
#include <QString>
#include <QtOpenGL>		// For OpenGL-checks
#include <cstdlib>		// Just for getenv() ...
#include "glwidget.h"
#include "debug.h"


// What we have:
void initSysInfo();
QString systemInfo();
bool cpux86();
bool winxpTimer();
bool ogl_avail();
bool oglhw_avail();

// SYSTEMINFO_H
#endif
